Download it now!
Bug 83736 - Hyperlinks to file:// are converted to smb://
Summary: Hyperlinks to file:// are converted to smb://
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3 all versions
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks: Hyperlink
  Show dependency treegraph
 
Reported: 2014-09-10 20:19 UTC by jdschwa
Modified: 2019-11-22 12:01 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jdschwa 2014-09-10 20:19:40 UTC
Problem description: 
Hyperlinks to file:// are converted to smb:// automatically. There appears to be no way of creating the hyperlink to go where I want it to go (file://server), which means I can't link to an intranet location from libreoffice. Tested in Impress and Writer.

Steps to reproduce:
1. Insert a hyperlink to file://server

Current behavior:
Hyperlink is not created to file://server, but instead smb://server

Expected behavior:
Hyperlink should link to requested target.
Comment 1 Julien Nabet 2014-09-10 20:46:58 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Julien Nabet 2014-09-10 20:52:11 UTC
It's been like this since
http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b9ef81ba5ff08d85f21275222458a5b9b9e484c

Fridrich: reading http://en.wikipedia.org/wiki/File_URI_scheme, I don't understand why there should be this automatic replace.
Comment 3 QA Administrators 2015-10-14 19:56:10 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-12-02 10:07:05 UTC
Still repro.

Ubuntu 15.10 64-bit 
Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1
Locale: en-US (en_US.UTF-8)
Comment 5 Julien Nabet 2015-12-02 10:26:38 UTC
I must search in history but here a code pointer:
http://opengrok.libreoffice.org/xref/core/tools/source/fsys/urlobj.cxx#1432
Comment 7 Xisco Faulí 2016-09-15 11:46:21 UTC
It's still reproducible in

Version: 5.3.0.0.alpha0+
Build ID: f21ff5b68feca83207c5e7050e48d10079363322
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Besides, adding keywords 'regression' and 'bisected' and changing version to '3.3 all versions' as the problematic commit was already in that version
Comment 8 QA Administrators 2018-08-22 02:38:25 UTC Comment hidden (obsolete)
Comment 9 NISZ LibreOffice Team 2019-11-21 17:40:29 UTC
With bug #128598 fixed - which removed the change causing this issue - this should be gone too.
Comment 10 Stephan Bergmann 2019-11-22 12:01:53 UTC
(In reply to NISZ LibreOffice Team from comment #9)
> With bug #128598 fixed - which removed the change causing this issue - this
> should be gone too.

Yes, this is fixed on master towards LO 6.5 with <https://gerrit.libreoffice.org/plugins/gitiles/core/+diff/fa314082a89f917912dd2e610ac19991b84921fa%5E%21> "tdf#128598: Drop dubious file: -> smb: conversion completely".